Replacing JQuery and Adding JQuery UI in Tapestry 5.4

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Replacing JQuery and Adding JQuery UI in Tapestry 5.4

abangkis
Hi I've overriden jquery in my layout

@Import(
        stylesheet = {

"classpath:/META-INF/assets/vendor/font-awesome/css/font-awesome.css",

"classpath:/META-INF/assets/vendor/jquery/css/jquery-ui.css",
                "classpath:/META-INF/assets/css/sb-admin-2.css"},
        library = {
                "classpath:/META-INF/assets/vendor/jquery/js/jquery.js",
                "classpath:/META-INF/assets/vendor/jquery/js/jquery-ui.js",
        }
)
public class PlainLayout {
}

The pages uses confirm-mixin, and confirm mixin require jquery modal. But
when i add jquery-ui library i keep getting the error

Unable to locate asset
'classpath:META-INF/assets/vendor/jquery/css/%22images%2Fui-icons_555555_256x240.png%22

I confirm that the file exist, there's a weird extra %22 on the path.

The only clue i got is this
https://github.com/eddyson-de/tapestry-webjars/issues/4

Is there a workaround for this?

TIA

--
http://www.mreunionlabs.net/ <http://www.mreunion-labs.net/>
twitter : @mreunionlabs @abangkis
page : https://plus.google.com/104168782385184990771